Subject: bug#73244: Emacs29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41

From: Po Lu <[email-masked]>
Date: Mon, 14 Oct 2024 07:33:44 +0800

"John Hurst" <[email-masked]> writes:

> Do you need any more input from me?
>
> I have noticed a few other reports of similar bugs, so I would be
> surprised if it was only me.
>
> cheers,
> -- John Hurst
> --
> -- ajh AT ajhurst DOT org                       ~ ~~~&#:
> --  (mob 0407 569 292)              _..___  ---____@___H__
> -- (local)  ajh.co                  |_____[_|_________[__]_
> -- (global) ajhurst.org              oo oo  oo O--O--O o=o
> --
> -- Hurst's Third Law of telecommunications: 
> --    ISPs are not as smart as spammers
>
> On Sat, 12 Oct 2024, at 22:48, Eli Zaretskii wrote:
>>> From: Po Lu <[email-masked]>
>>> Cc: [email-masked],  [email-masked]
>>> Date: Sat, 05 Oct 2024 19:05:30 +0800
>>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>> > Ping!
>>> >
>>> >> Cc: [email-masked], [email-masked]
>>> >> Date: Sat, 21 Sep 2024 14:19:12 +0300
>>> >> From: Eli Zaretskii <[email-masked]>
>>> >> 
>>> >> > From: Po Lu <[email-masked]>
>>> >> > Cc: "John Hurst" <[email-masked]>,  [email-masked]
>>> >> > Date: Sat, 21 Sep 2024 17:58:00 +0800
>>> >> > 
>>> >> > Eli Zaretskii <[email-masked]> writes:
>>> >> > 
>>> >> > >> Date: Sat, 14 Sep 2024 12:42:50 +1000
>>> >> > >> From: "John Hurst" <[email-masked]>
>>> >> > >> 
>>> >> > >> The bug I have, since upgrading to Ubuntu 24.04 and install emacs29 is that the initial frame has width x height of 20 x 9, even though I have a .Xresources file containing
>>> >> > >>    Emacs*geometry: 100x40+1900+0
>>> >> > >> end a default-frame-alist of
>>> >> > >>   Value:
>>> >> > >>   ((font . "Monospace-10")
>>> >> > >>    (height . 42)
>>> >> > >>    (width . 90)
>>> >> > >>    (tool-bar-lines . 0)
>>> >> > >>    (menu-bar-lines . 1)
>>> >> > >>    (top . 0)
>>> >> > >>    (left . 1200))
>>> >> > >>   Original value was nil
>>> >> > >> set up by my .emacs file.
>>> >> > >> 
>>> >> > >> Using either the pull-down File->New Frame, or C-x 5 2, both generate new frames of the 20 x 9 size.
>>> >> > >> 
>>> >> > >> I can send the .emacs file if needed, but note that "emacs -D' also gives the same default size of 20 x 9, so I don't think it is a problem with my .emacs file - which did work OK under Ubuntu 22.04 and emacs28.
>>> >> > >
>>> >> > > Po Lu, any comments or suggestions?
>>> >> > 
>>> >> > >From what I've heard, the culprit is rather the upgrade to Ubuntu 24.04
>>> >> > than to Emacs 29, and the problem will disappear if Emacs is configured
>>> >> > with another toolkit than GTK.
>>> >> 
>>> >> Does it mean that GTK which comes with Ubuntu 24.04 is unusable with
>>> >> Emacs?  What exactly in GTK causes this?
>>> 
>>> Sorry for the belated response.  We don't know yet, and it's not an
>>> issue with GTK, but with some past update to the window manager.
>>
>> How should we proceed with this bug, then?

No, I think the right person to contact is Martin, who devoted many
weeks to investigating the matter on emacs-devel.